Sign inGet started

List participants

GET
/workspaces/{workspaceId}/conversations/{conversationId}/participants
Retrieve the list of participants in a conversation
Paramètres de requête
limit
integer
pageToken
string
reverse
boolean
Corps de la réponse
results
array of object
obligatoire
List of conversation participants.
Afficher les attributs enfants
results.avatarUrl
string
results.contact
object
Afficher les attributs enfants
results.contact.identifierKey
string
obligatoire
results.contact.identifierValue
string
obligatoire
results.contact.platformAddress
string
results.contact.platformAddressSelector
string
results.conversationId
string
results.createdAt
string
results.displayName
string
results.id
string
obligatoire
results.resourceUri
string
results.status
string
Possible values: invited, pending, active, inactive
results.type
string
obligatoire
Possible values: user, contact, agent, flow, bot, accessKey, channel, connector, collaborationAutomation
results.updatedAt
string
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
total
integer
totalType
string
Possible values: ``, equal, greaterThanOrEqual
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/conversations/{conversationId}/participants' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Exemple de code
curl "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversations/02ec2ac2-ebec-42d3-a5f4-e6f3a9edf418/participants" \
-H "Authorization: AccessKey abcd"